TSDVBSUB(1)

NAME
tsdvbsub - Dump DVB subtitling from a stream

SYNOPSIS
tsdvbsub [-err stdout] [-err stderr] [-verbose | -v] [-quiet | -q] [-max max_pkts | -m max_pkts] [-pid pid_no] [-prog prog_no] in_file | -stdin

DESCRIPTION
Parse & dump the contents of a single DVB subtitling stream from a Transport Stream (or Program Stream).

  Files

in_file
    is an H.222 Transport Stream file (but see -stdin and -pes below).

  Stream to extract

-pid pid_no
    Output data for the stream with the given pid_no. Use -pid 0x<pid> to specify a hex value [default = the stream will be located from the PMT info]

-prog prog_no
    Program number [default = 1]

  general switches

-err stdout
    Write error messages to standard output (the default)

-err stderr
    Write error messages to standard error (Unix traditional)

-v, -verbose
    Output informational/diagnostic messages

-q, -quiet
    Only output error messages

-stdin
    Input from standard input, instead of a file

-m max_pkts, -max max_pkts
    Maximum number of TS packets to read

SEE ALSO
esdots(1),